# QVM: Quaternions, Vectors, Matrices

### boost/qvm/error.hpp

This header defines all exception types emitted by various Boost QVM functions.

### Synopsis:

#include <boost/qvm/error.hpp>

    namespace boost
    {
        namespace qvm
        {
            struct error:
                virtual boost::exception,
                virtual std::exception
            {
            };

            struct zero_determinant_error: virtual error { };
            struct zero_magnitude_error: virtual error { };
        }
    }

See also: error | zero_determinant_error | zero_magnitude_error